.header {   
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;    
    z-index: 1;
    block-size: 80px;
    background-color: #04001E;
    
}
.header .container{   
    width: 100%;
    /* padding: var(--spacing-16); */
    display: flex;   
    justify-content: space-around;
    align-items: center;
    
}
.container__logo {
    display: flex;
    align-items: center;
}

.container__logo img {
    height: 80px;
}

.isDesktop{
    display: none;
}

.header__cta{
    display: none;
}
/*NAVBAR*/
.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.45);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
    z-index: 4;
}

.overlay.open {
    opacity: 1;
    pointer-events: all;
}

.header__nav__mobile {
    position: fixed;
    top: 0;
    right: 0;
    width: 0%;
    height: 100%;
    background-color: var(--primary-color);
    overflow: hidden;
    transition: width 0.3s ease;
    z-index: 5; /* siempre por encima del overlay */
}

.header__nav__mobile ul {
    list-style-type: none;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-40);
    padding-top: var(--spacing-8);
    padding-left: var(--spacing-8);
   
}
.header__nav__mobile.open {
    width: 75%;
}

.header__nav__mobile li a{
    display: block;
    color: var(--primary-white);
}
/*END OF NAVBAR*/

.header__nav__desktop{
    display: none;
}
.logo{
    font-family: var(--logo-font);
    color: var(--primary-white);
    font-size: 1.8rem;
    font-weight: 200;
   /* background: linear-gradient(258.75deg, rgb(67, 177, 200) 31.33%, rgb(153, 137, 235) 48.42%, rgb(217, 127, 209) 59.35%, rgb(245, 130, 178) 65.56%);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: rgba(0, 0, 0, 0) 0px 0px;*/
}

@media(min-width: 768px) {
    .container {
        max-width: 1300px;
        margin: 0 auto;
    }
    .isMobile {
        display: none;
    }
    .isDesktop{
        display: block;
    }
}

@media(min-width: 1024px){
    
    .header__nav__desktop,
    .header__cta{
        display: block;
    }
    .header__toggle,
    .header__nav__mobile{
        display: none;
    }
    .header__nav__desktop ul{
        position: static;
       list-style-type: none;
       display: flex;
       align-items: center;
       gap: var(--spacing-32);
       font-size: 18px;
       font-weight: 600;
      
    }
    .header__nav__desktop ul li a{
        color: var(--primary-white);
    }
    .header__cta {
        border: 1px solid var(--primary-white);
        padding: 0px;
        color: var(--primary-white);
        background: var(--primary-color);
        padding-inline: 1.5rem;
        border-radius: 12px;
        padding-block: 6px 10px;
        box-shadow: inset 0px -3px 0px var(--primary-white);
        line-height: 24px;
        height: 40px;
        position: relative;
    }
    .header__cta:hover{
        top: 2px;
    } 
    .logo{
        font-size: 2rem;
    }
    @keyframes flicker {
    0%, 18%, 22%, 25%, 53%, 57%, 100% {
    text-shadow:
            0 0 5px rgba(0,178,255,1),
            0 0 10px rgba(0,178,255,1),
            0 0 20px rgba(0,178,255,1),
            0 0 40px rgba(38,104,127,1),
            0 0 80px rgba(38,104,127,1),
            0 0 90px rgba(38,104,127,1),
            0 0 100px rgba(38,104,127,1),
            0 0 140px rgba(38,104,127,1),
            0 0 180px rgba(38,104,127,1);
        }
        20%, 24%, 55% {
            text-shadow: none;
        }
    }
    .header__cta{
    animation: flicker 1.5s infinite alternate;
    }
  
}


  
